Bug 233592 (CVE-2007-1564) - CVE-2007-1564 FTP protocol PASV design flaw affects konqueror
Summary: CVE-2007-1564 FTP protocol PASV design flaw affects konqueror
Status: CLOSED ERRATA
Alias: CVE-2007-1564
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Radek Bíba
URL: http://bindshell.net/papers/ftppasv/f...
Whiteboard: impact=low,source=cve,reported=200703...
Keywords: Security
Depends On: 293551 293561 293571 293581
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 12:09 UTC by Red Hat Product Security
Modified: 2011-09-27 21:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 21:51:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0909 normal SHIPPED_LIVE Moderate: kdelibs security update 2008-01-09 01:17:18 UTC

Description Lubomir Kundrak 2007-03-23 12:09:21 UTC
Description of problem:

RFC 959 [1] says:

      When the user-PI receives an acknowledgment to the PASV command,
      which includes the identity of the host and port being listened
      on, the user-PI then sends A's port, a, to B in a PORT command; a
      reply is returned.  The user-PI may then send the corresponding
      service commands to A and B.  Server B initiates the connection
      and the transfer proceeds.

[1] ftp://ftp.rfc-editor.org/in-notes/rfc959.txt

This makes in possible for a server to direct the client to connect to
arbitrary IP/PORT, what can be misused for port scanning and service
fingerprinting.

Steps to Reproduce:

The paper [2] explains how to reproduce and contains a reference to
example reproducer FTP server.

[2] http://bindshell.net/papers/ftppasv/ftp-client-pasv-manipulation.pdf

Additional info:

This is a documented behavior. Anyways, Mozilla is going to fix this,
not sure about Konqueror. It is possible that other browsers we ship,
including w3m, links or lynx contain the flaw, but I don't feel positive
about urging to changing their behavior in any way, unless upstreams
change it because according to the RFC the behavior is correct.

Comment 2 Tomas Hoger 2007-09-12 11:14:22 UTC
Official KDE security advisory with references to upstream patches:

http://www.kde.org/info/security/advisory-20070326-1.txt


Comment 8 Red Hat Bugzilla 2009-10-23 19:05:15 UTC
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Comment 10 Kurt Seifried 2011-09-27 21:51:57 UTC
This issue has been addressed in following products:

  Red Hat Linux Enterprise 4
  Red Hat Linux Enterprise 4.5.z
  Red Hat Linux Enterprise 5

Via RHSA-2007:0909 https://rhn.redhat.com/errata/RHSA-2007-0909.html


Note You need to log in before you can comment on or make changes to this bug.